> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1776643999.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rewards

> Retrieve the history of mining reward payouts for an account via the WhiteBIT V4 API.



## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/mining/rewards
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/mining/rewards:
    post:
      tags:
        - Mining Pool
      summary: Get Rewards
      description: |
        The endpoint returns rewards received from mining.

        <Warning>
        Rate limit: 1000 requests/10 sec.
        </Warning>

        <Note>
        The API does not cache the response.
        </Note>
      operationId: getMiningRewards
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                account:
                  type: string
                  description: Mining pool account
                  example: miner123
                from:
                  type: integer
                  description: Date timestamp starting from which rewards are received
                  example: 1640995200
                to:
                  type: integer
                  description: Date timestamp until which rewards are received
                  example: 1641081600
                limit:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 30
                  example: 30
                offset:
                  type: integer
                  minimum: 0
                  maximum: 10000
                  default: 0
                  example: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  offset:
                    type: integer
                  limit:
                    type: integer
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MiningReward'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
              example:
                code: 422
                message: Incorrect timestamp
components:
  schemas:
    MiningReward:
      type: object
      properties:
        miningAccountName:
          type: string
          description: Mining account name
          example: miner123
        payoutDestination:
          type: string
          enum:
            - main_balance
            - external_address
          description: Payout destination
          example: external_address
        payoutTransactionHash:
          type: string
          nullable: true
          description: >-
            Payout transaction hash. null in case payout destination is
            main_balance, blockchain transaction hash in case payout destination
            is external_address
          example: 0e3e2357e806b6cdb1f70b54c3a3a17b6714ee1f0e68bebb44a74b1efd512098
        payoutAddress:
          type: string
          nullable: true
          description: >-
            Payout address. External wallet address in case payout destination
            is external_address, null in case payout destination is main_balance
          example: bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq
        payoutTime:
          type: integer
          nullable: true
          description: >-
            Timestamp when the external transaction is completed. null in case
            payout destination is main_balance
          example: 1641085200
        rewardCurrency:
          type: string
          description: Reward currency
          example: BTC
        totalReward:
          type: string
          description: Total reward amount
          example: '0.00125'
        reward:
          type: string
          description: Reward amount (without fee)
          example: '0.001'
        fee:
          type: string
          description: Fee amount
          example: '0.00025'
        fppsRate:
          type: string
          description: FPPS rate
          example: '0.000125'
        hashRate:
          type: string
          description: Hash rate (H/s)
          example: '100'
        date:
          type: integer
          description: Reward date timestamp
          example: 1641081600
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````